Subject: Re: [netmod] yang-instance-file-format - do we need a special file extension ?

From: Qin Wu <[email-masked]>
Date: Mon, 3 Dec 2018 05:03:14 +0000

My idea is similar to section 4.2 of RFC8072, i.e., define subtype name,e.g.,
yang-instance+xml, yang-instance+json

-Qin
-----邮件原件-----
发件人: Balázs Lengyel [mailto:[email-masked]] 
发送时间: 2018年11月30日 21:00
收件人: Qin Wu; Joe Clarke; [email-masked]
主题: yang-instance-file-format - do we need a special file extension ?

Hello Qin,

Do you have a better suggestion for the file extension?

regards Balazs

On 2018. 11. 29. 2:53, Qin Wu wrote:
> The abbreviation of YANG instance data yid may confuse with YANG identitifer short name
> "
>     YANG Identifier:  Numeric object identifier, which is a fixed-length
>        numeric value that represents a particular schema node within a
>        YANG module schema tree.  The length and format of a YANG
>        identifier are defined in the YANG Identifier Registry.  Also
>        called a "YID".
> "
> I believe they are not same thing.
>
> -Qin
> -----邮件原件-----
> 发件人: netmod [mailto:[email-masked]] 代表 Joe Clarke
> 发送时间: 2018年11月28日 22:36
> 收件人: Balázs Lengyel; [email-masked]
> 主题: Re: [netmod] Fwd: New Version Notification for draft-ietf-netmod-yang-instance-file-format-00.txt
>
> On 11/23/18 07:48, Balázs Lengyel wrote:
>>> Do you have to register the ".yid" file extension as well?
>> BALAZS: Is there a registry for file extensions? I was not aware.
> RFC6020 section 14 registers media types that include file extensions for .yin and .yang.  I am asking are you proposing to do the same and registering something like application/yang-instance-data with a .yid extension?
>
> Joe
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

-- 
Balazs Lengyel                       Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909              email: [email-masked]